MEMORY {
	RAM  (rwxa): ORIGIN = 0x2050000000, LENGTH = 0x00100000
	MMU_CPU0   : ORIGIN = 0x2050080000, LENGTH = 16K
}

SECTIONS
{
	.text : {
		__RO_START__ = .;
		*(.text*)
		*(.rodata*)
		. = NEXT(64);
		__RO_END__ = .;
	} > RAM

	.data : {
		__DATA_START__ = .;
		 *(.data)
		. = NEXT(64);
		__DATA_END__ = .;
	} > RAM

	__DATA_SIZE__ = SIZEOF(.data);

	.bss : {
		__BSS_START__ = .;
		 *(.bss)
		 *(COMMON)
		 . = NEXT(64);
		__BSS_END__ = .;
	} > RAM

	stacks (NOLOAD) : ALIGN(64) {
		__STACKS_START__ = .;
		KEEP(*(writer_stack))
		__STACKS_END__ = .;
	} > RAM

	__BSS_SIZE__ = SIZEOF(.bss);
}

	MMU_BASE_CPU0    = ORIGIN(MMU_CPU0);

